Bug 981114 - (CVE-2016-1839) VUL-0: CVE-2016-1839: libxml2: Heap-based buffer overread in xmlDictAddString
(CVE-2016-1839)
VUL-0: CVE-2016-1839: libxml2: Heap-based buffer overread in xmlDictAddString
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
maint:running:62794:moderate maint:re...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-05-23 11:44 UTC by Alexander Bergmann
Modified: 2017-06-08 16:12 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Bergmann 2016-05-23 11:44:40 UTC
https://git.gnome.org/browse/libxml2/tag/?h=CVE-2016-1839

Heap-based buffer overread in xmlDictAddString

https://bugzilla.gnome.org/show_bug.cgi?id=758605

Reviewed by David Kilzer. 

* HTMLparser.c: 
(htmlParseName): Add bounds check. 
(htmlParseNameComplex): Ditto. 
* result/HTML/758605.html: Added. 
* result/HTML/758605.html.err: Added. 
* result/HTML/758605.html.sax: Added. 
* runtest.c: 
(pushParseTest): The input for the new test case was so small 
(4 bytes) that htmlParseChunk() was never called after
htmlCreatePushParserCtxt(), thereby creating a false positive test failure. Fixed by using a do-while loop so we always call htmlParseChunk() at least once. 
* test/HTML/758605.html: Added.

https://git.gnome.org/browse/libxml2/commit/?h=CVE-2016-1839&id=a820dbeac29d330bae4be05d9ecd939ad6b4aa33
Comment 1 Swamp Workflow Management 2016-05-23 22:02:09 UTC
bugbot adjusting priority
Comment 2 Alexander Bergmann 2016-05-24 09:37:16 UTC
https://bugzilla.gnome.org/show_bug.cgi?id=749115#c9

It was mentioned that his could be a duplicate to CVE-2015-8806 (bsc#965283).
Comment 3 Simon Lees 2016-05-27 02:25:35 UTC
This fix is tagged with the CVE in the upstream git repo.
Comment 8 Swamp Workflow Management 2016-06-03 13:04:28 UTC
An update workflow for this issue was started.
This issue was rated as moderate.
Please submit fixed packages until 2016-06-17.
When done, reassign the bug to security-team@suse.de.
https://swamp.suse.de/webswamp/wf/62795
Comment 10 Swamp Workflow Management 2016-06-09 16:09:32 UTC
SUSE-SU-2016:1538-1: An update that fixes 15 vulnerabilities is now available.

Category: security (important)
Bug References: 963963,965283,978395,981040,981041,981108,981109,981111,981112,981114,981115,981548,981549,981550
CVE References: CVE-2015-8806,CVE-2016-1762,CVE-2016-1833,CVE-2016-1834,CVE-2016-1835,CVE-2016-1837,CVE-2016-1838,CVE-2016-1839,CVE-2016-1840,CVE-2016-2073,CVE-2016-3705,CVE-2016-4447,CVE-2016-4448,CVE-2016-4449,CVE-2016-4483
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP1 (src):    libxml2-2.9.1-24.1
SUSE Linux Enterprise Software Development Kit 12 (src):    libxml2-2.9.1-24.1
SUSE Linux Enterprise Server 12-SP1 (src):    libxml2-2.9.1-24.1, python-libxml2-2.9.1-24.1
SUSE Linux Enterprise Server 12 (src):    libxml2-2.9.1-24.1, python-libxml2-2.9.1-24.1
SUSE Linux Enterprise Desktop 12-SP1 (src):    libxml2-2.9.1-24.1, python-libxml2-2.9.1-24.1
SUSE Linux Enterprise Desktop 12 (src):    libxml2-2.9.1-24.1, python-libxml2-2.9.1-24.1
Comment 11 Swamp Workflow Management 2016-06-16 11:10:22 UTC
openSUSE-SU-2016:1594-1: An update that solves 12 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 972335,975947,978395,981040,981041,981108,981109,981110,981111,981112,981114,981115,983288
CVE References: CVE-2016-1762,CVE-2016-1833,CVE-2016-1834,CVE-2016-1835,CVE-2016-1836,CVE-2016-1837,CVE-2016-1838,CVE-2016-1839,CVE-2016-1840,CVE-2016-3627,CVE-2016-3705,CVE-2016-4483
Sources used:
openSUSE 13.2 (src):    libxml2-2.9.4-7.17.1, python-libxml2-2.9.4-7.17.1
Comment 12 Swamp Workflow Management 2016-06-16 11:12:26 UTC
openSUSE-SU-2016:1595-1: An update that fixes 15 vulnerabilities is now available.

Category: security (important)
Bug References: 963963,965283,978395,981040,981041,981108,981109,981111,981112,981114,981115,981548,981549,981550
CVE References: CVE-2015-8806,CVE-2016-1762,CVE-2016-1833,CVE-2016-1834,CVE-2016-1835,CVE-2016-1837,CVE-2016-1838,CVE-2016-1839,CVE-2016-1840,CVE-2016-2073,CVE-2016-3705,CVE-2016-4447,CVE-2016-4448,CVE-2016-4449,CVE-2016-4483
Sources used:
openSUSE Leap 42.1 (src):    libxml2-2.9.1-19.1, python-libxml2-2.9.1-19.1
Comment 13 Swamp Workflow Management 2016-06-17 13:09:57 UTC
SUSE-SU-2016:1604-1: An update that fixes 15 vulnerabilities is now available.

Category: security (important)
Bug References: 963963,965283,978395,981040,981041,981108,981109,981111,981112,981114,981115,981548,981549,981550
CVE References: CVE-2015-8806,CVE-2016-1762,CVE-2016-1833,CVE-2016-1834,CVE-2016-1835,CVE-2016-1837,CVE-2016-1838,CVE-2016-1839,CVE-2016-1840,CVE-2016-2073,CVE-2016-3705,CVE-2016-4447,CVE-2016-4448,CVE-2016-4449,CVE-2016-4483
Sources used:
SUSE OpenStack Cloud 5 (src):    libxml2-2.7.6-0.44.1, libxml2-python-2.7.6-0.44.4
SUSE Manager Proxy 2.1 (src):    libxml2-2.7.6-0.44.1, libxml2-python-2.7.6-0.44.4
SUSE Manager 2.1 (src):    libxml2-2.7.6-0.44.1, libxml2-python-2.7.6-0.44.4
SUSE Linux Enterprise Software Development Kit 11-SP4 (src):    libxml2-2.7.6-0.44.1
SUSE Linux Enterprise Server 11-SP4 (src):    libxml2-2.7.6-0.44.1, libxml2-python-2.7.6-0.44.4
SUSE Linux Enterprise Server 11-SP3-LTSS (src):    libxml2-2.7.6-0.44.1, libxml2-python-2.7.6-0.44.4
SUSE Linux Enterprise Server 11-SP2-LTSS (src):    libxml2-2.7.6-0.44.1, libxml2-python-2.7.6-0.44.4
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    libxml2-2.7.6-0.44.1, libxml2-python-2.7.6-0.44.4
SUSE Linux Enterprise Debuginfo 11-SP3 (src):    libxml2-2.7.6-0.44.1, libxml2-python-2.7.6-0.44.4
SUSE Linux Enterprise Debuginfo 11-SP2 (src):    libxml2-2.7.6-0.44.1, libxml2-python-2.7.6-0.44.4
Comment 14 Marcus Meissner 2016-08-01 09:07:01 UTC
all released
Comment 15 Swamp Workflow Management 2017-05-31 01:09:45 UTC
SUSE-SU-2017:1454-1: An update that solves 5 vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1039063,1039064,1039066,1039069,1039661,981114
CVE References: CVE-2016-1839,CVE-2017-9047,CVE-2017-9048,CVE-2017-9049,CVE-2017-9050
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP2 (src):    libxml2-2.9.4-36.1
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    libxml2-2.9.4-36.1, python-libxml2-2.9.4-36.1
SUSE Linux Enterprise Server 12-SP2 (src):    libxml2-2.9.4-36.1, python-libxml2-2.9.4-36.1
SUSE Linux Enterprise Desktop 12-SP2 (src):    libxml2-2.9.4-36.1, python-libxml2-2.9.4-36.1
OpenStack Cloud Magnum Orchestration 7 (src):    libxml2-2.9.4-36.1
Comment 16 Swamp Workflow Management 2017-06-08 16:12:38 UTC
openSUSE-SU-2017:1510-1: An update that solves 5 vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1039063,1039064,1039066,1039069,1039661,981114
CVE References: CVE-2016-1839,CVE-2017-9047,CVE-2017-9048,CVE-2017-9049,CVE-2017-9050
Sources used:
openSUSE Leap 42.2 (src):    libxml2-2.9.4-5.3.1, python-libxml2-2.9.4-5.3.1